Bug 60512 - gcc: "g++.eh/badalloc1.C Execution test" fails
Summary: gcc: "g++.eh/badalloc1.C Execution test" fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.3
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Beth Uptagrafft
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-28 20:16 UTC by Christopher Holmes
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-01 14:48:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Holmes 2002-02-28 20:16:19 UTC
Description of Problem:

	gcc: "g++.eh/badalloc1.C Execution test" fails

Version-Release number of selected component (if applicable):

	gcc-2.96-101.src.rpm

How Reproducible:

	always

Steps to Reproduce:
1. rpm -i gcc-2.96-101.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpm -ba gcc.spec
4. cd /usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux
5. make -k check
6. review gcc/testsuite/g++.log

Actual Results:

FAIL: g++.eh/badalloc1.C  Execution test

Expected Results:

PASS: g++.eh/badalloc1.C  Execution test

Additional Information:

	Expected results achieved on intel RedHat7.2

Comment 1 Beth Uptagrafft 2002-04-24 18:17:58 UTC
This testcase tests that we can still throw a bad_alloc exception when malloc 
runs out of space. The internal reserve space was not large enough for this 
target, so its been expanded enough to handle the required structures.




Note You need to log in before you can comment on or make changes to this bug.